The Workspace ONE Access connector uses the Java Runtime Environment (JRE). The JRE version required for the connector, version 1.8.231, is packaged with the connector installer. You are prompted to install this version during installation if it is not already installed on the Windows server. If you want to upgrade JRE on the connector server subsequently, make sure that you stay on version 1.8.x and follow this procedure to ensure that the Workspace ONE Access connector continues to work correctly after the JRE upgrade.

Note: If JRE gets upgraded automatically on the connector server, follow steps 4-5 after the upgrade.

Procedure

  1. Log in to the connector server.
  2. Stop the enterprise services that are installed on the server.
    Service names:
    • VMware User Auth Service
    • VMware Directory Sync Service
    • VMware Kerberos Auth Service
  3. Install the new JRE version.
  4. Verify that the JAVA_HOME environment variable points to the new JRE, and update it if needed.
  5. Restart all the installed services.